Loading...
Searching...
No Matches
Opm::UDQConfig::DynamicSelector::StringRange Class Reference

Random access range of string values. More...

`#include <UDQConfig.hpp>`

## Public Types

using | Iter = std::vector<std::string>::const_iterator
| Random access iterator.

## Public Member Functions

| StringRange ()=default
| Default constructor.
| StringRange (Iter first, Iter last)
| Constructor.
auto | begin () const
| Beginning of range's elements.
auto | end () const
| End of range's elements.
std::vector< std::string > | asVector () const
| Convert value range to a std::vector.

## Detailed Description

Random access range of string values.

Poor-man's substitute for C++20's std::span<std::string>.

## Member Typedef Documentation

## Iter

using Opm::UDQConfig::DynamicSelector::StringRange::Iter = std::vector<std::string>::const_iterator

Random access iterator.

Class StringRange assumes that the underlying sequence is a std::vector<std::string> of sufficient lifetime.

## Constructor & Destructor Documentation

## StringRange() [1/2]

Opm::UDQConfig::DynamicSelector::StringRange::StringRange | ( |  | ) |

default

Default constructor.

Creates an empty range.

## StringRange() [2/2]

Opm::UDQConfig::DynamicSelector::StringRange::StringRange | ( | Iter | first,
|  | Iter | last )

inline

Constructor.

Forms a StringRange object from an iterator range.

Parameters

  [in] | first | First element in range.
  [in] | last | One past the end of the elements in the range.

## Member Function Documentation

## asVector()

std::vector< std::string > Opm::UDQConfig::DynamicSelector::StringRange::asVector | ( |  | ) | const

inline

Convert value range to a std::vector.

Copies elements.

The documentation for this class was generated from the following file:

- opm/input/eclipse/Schedule/UDQ/UDQConfig.hpp